import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { DrawController } from './draw.controller';
import { DrawService } from './draw.service';
import { MapDrawingEntity } from 'src/game/coordinate.entity';
import { FactionEntity } from 'src/game/faction.entity';
/*
Draw
- contains everything to do with mapdrawing data.
*/
@Module({
  imports: [TypeOrmModule.forFeature([MapDrawingEntity, FactionEntity])],
  controllers: [DrawController],
  providers: [DrawService],
})
export class DrawModule {}
