import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { MapDrawingEntity } from 'src/game/coordinate.entity';
import { Repository } from 'typeorm';
import { MapDrawingDTO } from './mapdrawing.dto';
import { Game_PersonEntity, GameEntity } from '../game/game.entity';
import { GameDTO, FactionDTO } from 'src/game/game.dto';
import { FactionEntity } from 'src/game/faction.entity';

@Injectable()
export class DrawService {
  constructor(
    @InjectRepository(MapDrawingEntity)
    private mapDrawingRepository: Repository<MapDrawingEntity>,
    @InjectRepository(FactionEntity)
    private factionRepository: Repository<FactionEntity>,
  ) {}

  async draw(data: MapDrawingDTO) {
    try {
      return this.mapDrawingRepository.insert(data);
    } catch (error) {
      return error;
    }
  }

  // draw map based on game and
  async drawMap(id: string, faction: FactionDTO) {
    try {
      // get faction
      const factionInDb = await this.factionRepository.findOne({
        where: { game: id, factionName: faction.factionName },
      });

      // return mapdrawings with given faction and gameid
      return this.mapDrawingRepository.find({
        where: { gameId: id, faction: factionInDb },
      });
    } catch (error) {
      return error;
    }
  }
}
