import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { GameController } from './game.controller';
import { GameService } from './game.service';
import {
  GameEntity,
  Game_PersonEntity,
  ObjectivePointEntity,
  ObjectivePoint_HistoryEntity,
} from './game.entity';
import { PersonEntity } from '../user/user.entity';
import { GameGroupEntity } from './group.entity';
import { FactionEntity } from './faction.entity';
import { NotificationModule } from '../notifications/notifications.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      GameEntity,
      FactionEntity,
      Game_PersonEntity,
      PersonEntity,
      GameGroupEntity,
      ObjectivePointEntity,
      ObjectivePoint_HistoryEntity,
    ]),
    NotificationModule,
  ],
  controllers: [GameController],
  providers: [GameService],
})
export class GameModule {}
