import {
    Entity,
    Column,
    PrimaryGeneratedColumn,
    ManyToOne,
    OneToMany,
    OneToOne,
    JoinColumn,
  } from 'typeorm';
  
import { Game_PersonEntity, GameEntity } from './game.entity';

@Entity('GameGroup')
export class GameGroupEntity {
  @PrimaryGeneratedColumn('uuid') id: string;
  @Column('text') name: string;
  @OneToOne(type => Game_PersonEntity, person => person.leaderGroup, {
      onDelete: 'CASCADE'
  })
  //@JoinColumn({name:'leader'})
  leader: Game_PersonEntity;
  @OneToMany(type => Game_PersonEntity, person => person.group, {
      onDelete: 'CASCADE'
  })
  players: Game_PersonEntity[];
  @ManyToOne(type => GameEntity, game => game.groups)
  game: GameEntity;
}