import {
  ValidatorConstraint,
  ValidatorConstraintInterface,
  ValidationArguments,
  Validator,
} from 'class-validator';

// check if input is null or valid uuid
@ValidatorConstraint({ name: 'uuid', async: true })
export class Uuid implements ValidatorConstraintInterface {
  validate(uuid: string, args: ValidationArguments) {
    const validator = new Validator();
    return validator.isUUID(uuid, '4') || uuid == null; // for async validations you must return a Promise<boolean> here
  }

  defaultMessage(args: ValidationArguments) {
    return 'Not valid uuid';
  }
}
