import { PrimaryGeneratedColumn, Column, Entity, ManyToOne } from 'typeorm';
import { FactionEntity } from 'src/game/faction.entity';

@Entity('Task')
export class TaskEntity {
  @PrimaryGeneratedColumn('uuid') taskId: string;
  @Column({ type: 'text' }) taskName: string;
  @Column({ type: 'text' }) taskDescription: string;
  @Column({ type: 'float' }) taskScore: number;
  @Column({ type: 'text' }) taskWinner: string;
  @Column({ type: 'bool' }) taskIsActive: boolean;

  @ManyToOne(type => FactionEntity, faction => faction.factionId)
  faction: FactionEntity;
}
