import { Injectable, HttpException, HttpStatus } from '@nestjs/common';
import { Repository } from 'typeorm';
import { InjectRepository } from '@nestjs/typeorm';
import { TaskEntity } from './task.entity';
import { TaskDTO } from './task.dto';

@Injectable()
export class TaskService {
  constructor(
    @InjectRepository(TaskEntity)
    private taskRepository: Repository<TaskEntity>,
  ) {}

  async newTask(task: TaskDTO) {
    const createdTask = await this.taskRepository.create(task);
    await this.taskRepository.insert(createdTask);
    return {
      message: 'Task added',
    };
  }
}
